

usb_trylock_device() returns non-zero on success.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/host/ohci-hub.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/usb/host/ohci-hub.c~usb-locking-fix drivers/usb/host/ohci-hub.c
--- 25/drivers/usb/host/ohci-hub.c~usb-locking-fix	2004-07-03 00:18:19.146048824 -0700
+++ 25-akpm/drivers/usb/host/ohci-hub.c	2004-07-03 00:18:41.485652688 -0700
@@ -381,8 +381,7 @@ ohci_hub_status_data (struct usb_hcd *hc
 			&& ((OHCI_CTRL_HCFS | OHCI_SCHED_ENABLES)
 					& ohci->hc_control)
 				== OHCI_USB_OPER
-			&& usb_trylock_device (hcd->self.root_hub) == 0
-			) {
+			&& usb_trylock_device (hcd->self.root_hub)) {
 		ohci_vdbg (ohci, "autosuspend\n");
 		(void) ohci_hub_suspend (&ohci->hcd);
 		ohci->hcd.state = USB_STATE_RUNNING;
_
